package com.taauav.admin.query;

import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;

/**
 * 飞行设备查询条件
 */
@Data
public class EquipmentQuery extends BaseQuery {

    /**
     * 设备编号
     */
    private String equipmentSn;

    /**
     * 设备名称
     */
    private String name;

    /**
     * 无人机类型
     */
    private Integer type;

    /**
     * 设备型号
     */
    private String model;

}
