package com.taauav.admin.service;

import com.taauav.common.bean.Response;

import java.util.Map;

/**
 * @Author dyg
 * @desc 数据统计
 */
public interface IStatisticsService{

    /**
     * 获取报告统计数据
     * @param map
     * @return
     */
    Response getStatisticsDataIndex(Map<String,String> map);

    /**
     * 获取区属河流列表
     * @param map
     * @return
     */
    Response getAreaStaticsData(Map<String,String> map);

    /**
     * 根据报告编号获取数据
     * @param reportId
     * @return
     */
    Response getInfoByReportId(Integer reportId, String fileDocument);
}
