package com.taauav.common.util;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

/**
 * @author dyg
 * @Date 2019/11/14
 * @Description MP自动填充类
 */
@Component
public class MyMetaObjectHandler implements MetaObjectHandler {
    @Override
    public void insertFill(MetaObject metaObject) {
        boolean createTime = metaObject.hasGetter("createTime");
        if (createTime) {
            setInsertFieldValByName("createTime",FunctionUtils.getCurrentTime(),metaObject);
        }
    }


    @Override
    public void updateFill(MetaObject metaObject) {
        boolean updateTime = metaObject.hasGetter("updateTime");
        if (updateTime) {
            setUpdateFieldValByName("updateTime",FunctionUtils.getCurrentTime(),metaObject);
        }
    }
}
