package com.taauav.front.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class LsInspectFileVo {

    /**
     * 图片id
     */
    private Integer id;

    /**
     * 问题id
     */
    private Integer questionId;

    /**
     * 河道id
     */
    private Integer driverId;

    /**
     * 巡检河道id
     */
    private Integer inspectDriverId;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 河长姓名
     */
    private String driverManagerName;

    /**
     * 执行时间 - 拍摄时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date executionTime;

    /**
     * 问题坐标 - 纬度
     */
    private String latitude;

    /**
     * 问题坐标 - 经度
     */
    private String longitude;
}
