package com.taauav.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author dyg
 * @since 2019-11-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TauvReportCheck extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 报告编号
     */
    private Integer reportId;

    /**
     * 审批意见
     */
    private String remark;

    /**
     * 审核人编号
     */
    private Integer checkUser;

    @TableField(exist = false)
    private String formatCheckUser;

    @TableField(exist = false)
    private String formatCreateTime;


}
