package com.taauav.admin.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.taauav.admin.entity.LsAdmin;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.taauav.admin.entity.SysCity;
import com.taauav.admin.query.LsAdminQuery;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 外部人员表 Mapper 接口
 * </p>
 *
 * @author dyg
 * @since 2020-04-01
 */
public interface LsAdminMapper extends BaseMapper<LsAdmin> {

    /**
     * 获取外部人员列表
     *
     * @param page  分页信息
     * @param query 查询条件
     * @return
     */
    IPage<LsAdmin> getAdminList(IPage page, @Param("param") LsAdminQuery query);

}
