package com.taauav.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.taauav.admin.dto.TauvInspectDriverDTO;
import com.taauav.admin.dto.TauvInspectDriverPicDTO;
import com.taauav.admin.entity.TauvInspectDriver;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import javafx.scene.control.Pagination;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 巡检任务河道表 Mapper 接口
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
public interface TauvInspectDriverMapper extends BaseMapper<TauvInspectDriver> {

    List<TauvInspectDriverDTO> getPageList(Page<TauvInspectDriverDTO> page, @Param("param") Map<String,Object> param);

    List<TauvInspectDriverPicDTO> getFilePageList(IPage<TauvInspectDriverPicDTO> page, @Param("param") Map<String,Object> param);
}
