package com.taauav.admin.service;

import com.taauav.admin.entity.TauvReportCheck;
import com.taauav.common.service.IBaseService;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-29
 */
public interface ITauvReportCheckService extends IBaseService<TauvReportCheck> {
    /**
     * 根据报告编号获取审核数据
     *
     * @param reportId
     * @return
     */
    List<TauvReportCheck> getListByReportId(Integer reportId);

    /**
     * 添加审核数据
     *
     * @param reportCheck
     */
    void addData(TauvReportCheck reportCheck);
}
