package com.taauav.front.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.taauav.admin.entity.SysCity;
import com.taauav.admin.service.ISysCityService;
import com.taauav.common.bean.Response;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigInteger;
import java.util.List;

/**
 * 前台城市管理
 */
@RestController
@RequestMapping("/front/lscity")
public class LSCityController {

    @Autowired
    private ISysCityService cityService;

    @Autowired
    private Response response;

    /**
     * 获取区划列表
     *
     * @return
     */
    @PostMapping("/getCityList")
    public Response getCityList() {
        List<SysCity> cityList = cityService.getCityList(BigInteger.valueOf(Long.valueOf("320117")));
        return response.success(cityList);
    }

}
