package com.taauav.front.dto;

import lombok.Data;

import java.math.BigInteger;

@Data
public class LsInspectFileDTO {
    /**
     * 区划id
     */
    private BigInteger cityId;

    /**
     * 问题分类：1水面 2岸线 3排口 4水质
     */
    private Integer category;

    /**
     * 巡检时间 - 开始
     */
    private String beginTime;

    /**
     * 巡检时间 - 结束
     */
    private String endTime;
}
